Bug 802810 - as7: signal a reload-required to the user
as7: signal a reload-required to the user
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.3
Unspecified Unspecified
high Severity high (vote)
: ---
: RHQ 4.5.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: as7-plugin 820623
  Show dependency treegraph
 
Reported: 2012-03-13 10:37 EDT by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 820623 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:01:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Possible patch (7.48 KB, text/plain)
2012-04-20 05:53 EDT, Heiko W. Rupp
no flags Details

  None (edit)
Description Libor Zoubek 2012-03-13 10:37:43 EDT
Description of problem:Currently AS7 retunrs 

"response-headers" => {"process-state" => "reload-required"}

in response to any configuration change that requires server restart. User needs to know this, because otherwise he expects his changes happen immediately.


Version-Release number of selected component (if applicable):


How reproducible:always


Steps to Reproduce:
1.Make a config change that requires server restart using JON - for example change some configuration in 'standart-sockets' socket binding group

  
Actual results: User does not know, whether configuration change you did is immediate or not.


Expected results:User is notified about the fact, that server needs reload.
Comment 1 John Mazzitelli 2012-03-14 09:42:09 EDT
Note: our <resource-configuration> metadata can also indicate a restart is required. So we have the ability for any plugin to indicate a config change requires a restart:

<simple-property ... activationPolicy="immediate">

where activationPolicy's default is "immediate" but which can be "restart" or "shutdown" (meaning, a change to that property will take effect either "immediately" or which requires a restart - I have no idea what it means for a config property to take effect "on shutdown" :-)
Comment 2 Charles Crouch 2012-03-20 11:50:04 EDT
I'm currently of the opinion the infrastructure changes required for this are out of scope for jon3.1, so setting priority to low. We could certainly add activationPolicy="restart" attributes on properties we know will need this support in the future.

In the meantime we should include in the description of such properties a statement saying how a server restart is required in order for a value change to get picked up.
Comment 3 Heiko W. Rupp 2012-04-20 05:53:05 EDT
Created attachment 578935 [details]
Possible patch

The attached patch uses the existing, but so far unused notes filed of configuration objects.

If a note is present, it will be shown in the config details view as transient yellow bar.

It would be nice if this could also be done in the history list, as this is where the user is directed after submitting a config change.
Comment 4 Charles Crouch 2012-05-08 15:55:34 EDT
Upping priority given usability enhancement this could provide.
Comment 5 Heiko W. Rupp 2012-05-10 10:07:21 EDT
master b303055
Comment 6 Heiko W. Rupp 2012-05-10 16:15:28 EDT
reverted in commit 3c58c86
Comment 7 Heiko W. Rupp 2012-05-15 03:18:09 EDT
master ac1d68bd117
Comment 8 Libor Zoubek 2012-05-21 06:42:27 EDT
verified on Version: 4.4.0.JON310-SNAPSHOT Build Number: 31b4844
Comment 9 Libor Zoubek 2012-05-21 10:10:49 EDT
puttning back ON_QA - need to verify on master
Comment 10 Heiko W. Rupp 2013-09-01 06:01:51 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.